/**
 * Title:        Applet mit Audio, Bild und Maus Verf
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class AppletMitMausUndDuke extends Applet
		implements MouseListener,MouseMotionListener {

	Image duke;
	AudioClip first,second;
	int x,y,imageWidth,imageHeight;

	public void init() {
		MediaTracker tracker = new MediaTracker(this);
		duke = getImage(getDocumentBase(),"duke.gif");
		tracker.addImage(duke,0);
		try {
			tracker.waitForID(0);
		} catch (Exception e) {}

		imageWidth = duke.getWidth(this);
		imageHeight = duke.getHeight(this);
		first = getAudioClip(getDocumentBase(),"first.au");
		second = getAudioClip(getDocumentBase(),"second.au");
		x = 30;
		y = 30;
		addMouseListener(this);
		addMouseMotionListener(this);
	}

	public void start() {
		first.play();
	}

	public void paint(Graphics g) {
		g.drawImage(duke,x,y,this);
	}

	/* Mouse Listener */
	public void mousePressed(MouseEvent e) {
	}

	public void mouseReleased(MouseEvent e) {
	}

	public void mouseExited(MouseEvent e) {
	}

	public void mouseEntered(MouseEvent e) {
	}

	public void mouseClicked(MouseEvent e) {
		int mouseX = e.getX();
		int mouseY = e.getY();

		if (mouseX >= x && mouseX <= x+imageWidth) {
			if (mouseY >= y && mouseY <= y+imageHeight) {
				first.play();
			}
		}
	}

	/* Mouse Motion Listener */
	public void mouseDragged(MouseEvent e) {
	}

	public void mouseMoved(MouseEvent e) {
		int mouseX = e.getX();
		int mouseY = e.getY();

		if (mouseX >= x && mouseX <= x+imageWidth) {
			if (mouseY >= y && mouseY <= y+imageHeight) {
				second.play();
				try {
					Thread.sleep(250);
				} catch (Exception e1) {}
			}
		}
	}
}

