package finalizer;

/**
 * Title:        Finalizer
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class EineKlasse {
  int iZahl = 10;
  String strZ = "Klasse mit Finalizer";
  // Konstruktor
  EineKlasse(String strP) {
    strZ = strP;
    System.out.println("Interne Zeichenkette : "+strZ);
  }
  protected void finalize() throws Throwable{
    try {
      super.finalize();
      long l=0l;
      System.gc();
      Runtime rt = Runtime.getRuntime();
      l = rt.freeMemory();
      System.out.println("Speicherplatz : "+l);
      strZ = null;
      l = rt.freeMemory();
      System.out.println("Speicherplatz : "+l);
    } catch(Exception e) {
      System.out.println("Fehler im Finalizing");
      e.printStackTrace();
    }
  }
}