package ueberschreiben;

/**
 * Title:        Ueberschreiben von Methoden
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class TestProgramm {
  public static void main(String[] args) {
    Angestellter heinz = new Angestellter("Heinz Hertig", 10000d, "Bundesmitarbeiter");
    Manager charlie = new Manager("Charlie Scheurer", 12000d,"Higher Educations Relations Manager");
    heinz.zeigeAngaben();
    charlie.zeigeAngaben();
    Angestellter klaus = new Manager("Klaus Gronwald", 15000d, "SAP University Contact Manager");
    klaus.zeigeAngaben();

    System.out.println("Funktion von Heinz "+heinz.funktion);
    System.out.println("Funktion von Charlie "+charlie.funktion+" (das sieht schlecht aus fr Charlie)"); // wurde im Manager nicht definiert: mull
    charlie.funktion = "Stabsmitarbeiter";
    System.out.println("neue Funktion von Charlie "+charlie.funktion); // wurde im Manager nicht definiert: mull

    // InstanceOf
    Angestellter kurt = new Manager("Kurt Stmpfli", 2500d,"Transport");
    if (kurt instanceof Angestellter) System.out.println("Angestellter kurt = new Manager(); : kurt ist Angestellter");
    if (kurt instanceof Manager) System.out.println("Angestellter kurt = new Manager(); : kurt ist Manager");
    kurt.zeigeAngaben();
    System.out.println("[Angestellter]Funktion von Kurt "+kurt.funktion);

    Angestellter beat = new Angestellter("Beat bersax", 2500d,"Putzequipe");
    if (beat instanceof Angestellter) System.out.println("Angestellter beat = new Angestellter(); : Beat ist Angestellter");
    if (beat instanceof Manager) System.out.println("Angestellter beat = new Angestellter(); : Beat ist Manager");
    beat.zeigeAngaben();
    System.out.println("[Angestellter]Funktion von Beat "+kurt.funktion);

  }
}