package abstrakterdatentyp;

/**
 * Title:        Datum als abstrakten Datentyp
 * Description:
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class Datum {
  // lokale Variablen
  private int tag, monat, jahr;

  // Standard Konstruktor
  public Datum() {
    tag=1;
    monat=1;
    jahr=1900;
  }

  // Konstruktor eines Datum Objekts
  public Datum(int iTag, int iMonat, int iJahr) {
    tag=iTag;
    monat=iMonat;
    jahr=iJahr;
  }

  // Datumsmethoden
  public int getTag() {
    return tag;
  }
  public void setTag(int iTag) {
    tag=iTag;
  }

  public int getMonat() {
    return monat;
  }
  public void setMonat(int iMonat) {
    monat=iMonat;
  }

  public int getJahr() {
    return jahr;
  }
  public void setJahr(int iJahr) {
    jahr=iJahr;
  }

  public Datum giveNextDay() {
    return new Datum(tag+1, monat, jahr);
  }
  public void gotoNextDay() {
    this.tag=this.tag+1;
  }

  public void ausgabe() {
    System.out.println("Datum : "+tag+"/"+monat+"/"+jahr);
  }
}