package exceptions;

/**
 * Title:        Einfhrung in Exceptions
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class ExceptionTester {
  public static void main(String[] args) {
    System.out.println("Test der Exception 'DefinitionDerException'");
    try {
      System.out.println("im try Block");
      throw new DefinitionDerException("Meine Gte - das ging aber schief");
    } catch(DefinitionDerException ex) {
      System.out.println("im catch Block");
      // Version 2: etwas mehr Ausgabe
      System.out.println("localizedMessage "+ex.getLocalizedMessage());
      System.out.println("Message "+ex.getMessage());
      ex.printStackTrace();
    } catch(Exception ex) {
      // falls diese Exception zuerst abgefangen wird
      // kann die andere Exception nicht mehr ausgefhrt werden
      // Die Reihenfolge ist also wichtig!
      System.out.println("im Exception catch Block");
      // Version 2: etwas mehr Ausgabe
      System.out.println("localizedMessage "+ex.getLocalizedMessage());
      System.out.println("Message "+ex.getMessage());
      ex.printStackTrace();
    }
  }
}