package initialisierenvonzeichenketten;

/**
 * Title:        Zeichenketten Initialisierung
 * Description:  Unterschied zwischen
 * Literal String s = "ein Literal" und
 * Zeichenkettenobjekt String s = new String("eine Zeichenkette");
 * Copyright:    Copyright (c) J.M.Joller
 * Company:      Joller-Voss
 * @author J.M.Joller
 * @version 1.0
 */

public class EinfacheZeichenkette {
  public static void main(String[] args) {
  /** Frage:
   *  sind die zwei Variablen s1 und s2 gleich?
   *  String s1 = "eine Zeichenkette"
   *  String s2 = new String("eine Zeichenkette")
   */
  String s1 = "eine Zeichenkette", s1a=s1;
  String s2 = new String("eine Zeichenkette"), s2a=s2;
  // Objektgleichheit Test
  if (s1.equals(s2))
  System.out.println("1) Die zwei Zeichenketten '"+s1+"' und '"+ s2 +
                      "' sind identisch, als Objekte!");
  else
  System.out.println("1) Die zwei Zeichenketten '"+s1+"' und '"+ s2 +
                      "' sind nicht identisch, als Objekte!");
  // String Gleichheit
  if (s1.equalsIgnoreCase(s2))
  System.out.println("2) Die zwei Zeichenketten '"+s1+"' und '"+ s2 +
                      "' sind identisch, als Zeichenketten!");
  else
  System.out.println("2) Die zwei Zeichenketten '"+s1+"' und '"+ s2 +
                      "' sind nicht identisch, als Zeichenketten!");
  // String Gleichheit
  if (s1==s2)
  System.out.println("3) Die zwei Zeichenketten '"+s1+"' und '"+ s2 +
  "' sind '==' identisch (zeigen auf das selbe Speicherobjekt!");
  else
  System.out.println("3) Die zwei Zeichenketten '"+s1+"' und '"+ s2 +
  "' sind nicht '==' identisch (zeigen nicht auf das selbe Speicherobjekt)!");
  // String Gleichheit
  if (s1==s1a)
  System.out.println("4) Die zwei Zeichenketten '"+s1+"' und '"+ s1a +
  "' sind '==' identisch (zeigen auf das selbe Speicherobjekt)!");
  else
  System.out.println("4) Die zwei Zeichenketten '"+s1+"' und '"+ s1a +
  "' sind nicht '==' identisch (zeigen nicht auf das selbe Speicherobjekt)!");
  // String Gleichheit
  if (s2==s2a)
  System.out.println("5) Die zwei Zeichenketten '"+s2+"' und '"+ s2a +
  "' sind '==' identisch (zeigen auf das selbe Speicherobjekt)!");
  else
  System.out.println("5) Die zwei Zeichenketten '"+s2+"' und '"+ s2a +
  "' sind nicht '==' identisch (zeigen nicht auf das selbe Speicherobjekt)!");
  }
}