
/**
 * Title:        bergabe eines Objekts<p>
 * Description:  Illustration der bergabe "by Value" im Falle einer Objektreferenz.
 * <p>
 * Copyright:    Copyright (c) J.M.Joller<p>
 * Company:      Joller-Voss<p>
 * @author J.M.Joller
 * @version 1.0
 */
package byValue2;

class Body {
	public long idNum;
	public String nameFor;
	public Body orbits;

        // jetzt ist nextID private
	private static long nextID = 0;

  // Konstruktor 1
  Body() {
    // die idNum kann automatisch gesetzt werden
    idNum = nextID++;
  }
  // Konstruktor 2 : Name des Himmelskrpers und  Himmelskrper, um den gekreist wird als Parameter eingeben
  Body(String bodyName, Body orbitsAround) {
    // die idNum kann automatisch gesetzt werden : im Konstruktor 1
    this();
    nameFor = bodyName;
    orbits = orbitsAround;
  }
  // to String Methode
  public String toString() {
    String desc = idNum + " ("+nameFor+")";

    // rekursiv
    if (orbits != null)
      desc += " umkreist " + orbits.toString();
    return desc;
  }
}