package umwandlungvonliteralen;

/**
 * Title:        Umwandlung von Literalen
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class Umwandlungsregeln {
  public static void main(String[] args) {
    byte b=1;
    short s=2;
    char c=3;
    // b=s; nicht gestattet

    // und weiter geht's
    int i=4;
    long l=5;
    float f=6;
    double d=7;

    //von links nach rechts wird konvertiert; das Ergebnis ist ein double
    d = b*s*i*l*f*d;

    // Casting
    Integer iInt = new Integer(1);
    short sc=259;         // hat noch Platz;
    System.out.println("Casting: short sc= "+sc+" = "+iInt.toBinaryString(sc));
    byte bc = (byte)sc;   // verliert Stellen
    System.out.println("Casting: byte bc=(byte)sc= "+bc+" = "+iInt.toBinaryString(bc));

    // alles erlaubte Castings
    d =123456789.123456789;   // Standarddatentyp ist double
    f=(float)d;
    l=(long)d;
    l=(long)f;
    i=(int)d;
    i=(int)f;
    i=(int)l;
    s=(short)d;
    s=(short)f;
    s=(short)l;
    s=(short)i;
    b=(byte)d;
    b=(byte)f;
    b=(byte)l;
    b=(byte)i;
    b=(byte)s;
    b=(byte)c;
    double x = 3.14*2*d*i*f*b;
  }
}